Package org.opensaml.security.x509.tls

# Interface ClientTLSValidationConfiguration

All Known Implementing Classes:
  `BasicClientTLSValidationConfiguration`

public interface ClientTLSValidationConfiguration
Configuration used in validating a client TLS `X509Credential`.

## Method Summary

Modifier and Type
Method
Description
`CertificateNameOptions`
`getCertificateNameOptions()`
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.
`TrustEngine<? super X509Credential>`
`getX509TrustEngine()`
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.

## Method Details

### getX509TrustEngine

@Nullable TrustEngine<? super X509Credential> getX509TrustEngine()
Get a `TrustEngine` instance used to validate a client TLS `X509Credential`.

Returns:
  a trust engine instance, may be null

### getCertificateNameOptions

@Nullable CertificateNameOptions getCertificateNameOptions()
Get a `CertificateNameOptions` instance to use when evaluating a client TLS `X509Credential`.

Returns:
  an options instance, may be null